Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department:  Affected Products: ADTF 2.13.2, ADTF Device Toolbox

2.6.1, ADTF Display Toolbox 2.1.1,

ADTF Video Compression Toolbox 2.5.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: DeviceTB::Common

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage

Ich nutze mehrere DirectShowVideoDevice in einer ADTF-Konfig. Konfiguriert habe ich diese über das Property "devicename:"

"capture:1"

"capture:2"

"capture:3"

...

Dies funktioniert sofern jedes USB-Device direkt mit einem separatem USB-Port des Rechners verbunden ist.

Sobald hier ein USB-Hub eingesetzt wird, wird immer nur 1 Device erkannt.

Ich vermute das liegt am unterschiedlichem USB-Routing.

Mainboard - VideoDevice

----------------------------------

Pfad 0 (Port#0002.Hub_#0001)

Pfad 0 (Port_#0003.Hub_#0001)

Pfad 0 (Port_#0004.Hub_#0001)

Mainboard - USB-Hub - VideoDevice

----------------------------------

Pfad 0 (Port_#0001.Hub_#0006)

Pfad 0 (Port_#0002.Hub_#0006)

Pfad 0 (Port_#0003.Hub_#0006)_

-> Wie kann ich die VideoDevices auch über einen USB-Hub einbinden?

PS: da ich auch unterschiedliche Kameratypen einsetze kann ich weder mit der spez. Bezeichnung noch der Seriennummer

arbeiten.

Lösung

wir hatten schon einmal ein ähnliches Problem.

Die Bandbreite an einem Hub ist hier wohl das Problem.

Wir denken nicht dass wir hier was tun können, weder seitens Device Code noch DirectShow Anbindung.

Unserer Meinung nach ist das ein Hardware Problem bzgl. der Bandbreite von USB bei Video, so blöd es sich anhört.

Die Foren sind übrigens voll davon, unabhängig ob DirectShow, OpenCV o.ä., Bsp:

http://stackoverflow.com/questions/11222813/2-usb-cameras-not-working-with-opencv

Ich denke also hier gibt es keine Lösung seitens ADTF, dementsprechend auch kein Supportfall (im eigentlichen Sinne).
#1 - 2019-08-22 08:24 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to DeviceTB::Common

#2 - 2019-08-22 09:16 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Michael,

wir hatten schon einmal ein ähnliches Problem.

Die Bandbreite an einem Hub ist hier wohl das Problem.

Wir denken nicht dass wir hier was tun können, weder seitens Device Code noch DirectShow Anbindung.

Unserer Meinung nach ist das ein Hardware Problem bzgl. der Bandbreite von USB bei Video, so blöd es sich anhört.

Die Foren sind übrigens voll davon, unabhängig ob DirectShow, OpenCV o.ä., Bsp:

http://stackoverflow.com/questions/11222813/2-usb-cameras-not-working-with-opencv

Ich denke also hier gibt es keine Lösung seitens ADTF, dementsprechend auch kein Supportfall (im eigentlichen Sinne).

Bitte gib uns in jeden Fall ein kurzes Feedback.

Danke und Gruß

Matthias

#3 - 2019-08-28 09:01 - hidden

Hallo Michael,

können wir das Ticket schließen?

Bitte um Feedback bis zum 30.08.

Danke und Gruß

Matthias

#4 - 2019-09-02 17:48 - hidden

- Subject changed from DirectShowVideoDevice mit USB-Hub to Using several Direct Show Video Devices with USB-Hub

- Description updated

- Resolution set to No Customer Feedback

#5 - 2019-09-02 17:49 - hidden

- Project changed from 11 to Public Support

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#6 - 2019-09-03 09:39 - hidden

Hallo Matthias,

danke für die Erläuterung.

Das Ticket kann geschlossen werden. Ich werde anderweitig nach einer Lösung suchen.

VG Michael

#7 - 2019-09-03 09:53 - hidden

- Resolution changed from No Customer Feedback to Known Problem

#8 - 2020-07-07 11:02 - hidden

- Support Level changed from 2nd Level to 3rd Level

#9 - 2020-07-07 12:45 - hidden

- Status changed from To Be Closed to Closed
